Voice Consents
Create voice consent
post /audio/voice_consents
Upload a voice consent recording.
Returns
-
id: stringThe consent recording identifier.
-
created_at: numberThe Unix timestamp (in seconds) for when the consent recording was created.
-
language: stringThe BCP 47 language tag for the consent phrase (for example,
en-US). -
name: stringThe label provided when the consent recording was uploaded.
-
object: "audio.voice_consent"The object type, which is always
audio.voice_consent."audio.voice_consent"
Example
curl https://api.openai.com/v1/audio/voice_consents \
-H 'Content-Type: multipart/form-data' \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-F language=language \
-F name=name \
-F 'recording=@/path/to/recording'
Response
{
"id": "cons_1234",
"created_at": 0,
"language": "language",
"name": "name",
"object": "audio.voice_consent"
}
Example
curl https://api.openai.com/v1/audio/voice_consents \
-X POST \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-F "name=John Doe" \
-F "language=en-US" \
-F "recording=@$HOME/consent_recording.wav;type=audio/x-wav"
Delete voice consent
delete /audio/voice_consents/{consent_id}
Deletes a voice consent recording.
Path Parameters
consent_id: string
Returns
-
id: stringThe consent recording identifier.
-
deleted: boolean -
object: "audio.voice_consent""audio.voice_consent"
Example
curl https://api.openai.com/v1/audio/voice_consents/$CONSENT_ID \
-X DELETE \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"id": "cons_1234",
"deleted": true,
"object": "audio.voice_consent"
}
Example
curl https://api.openai.com/v1/audio/voice_consents/cons_1234 \
-X DELETE \
-H "Authorization: Bearer $OPENAI_API_KEY"
List voice consents
get /audio/voice_consents
Returns a list of voice consent recordings.
Query Parameters
-
after: optional stringA cursor for use in pagination.
afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list. -
limit: optional numberA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
Returns
-
data: array of object { id, created_at, language, 2 more }-
id: stringThe consent recording identifier.
-
created_at: numberThe Unix timestamp (in seconds) for when the consent recording was created.
-
language: stringThe BCP 47 language tag for the consent phrase (for example,
en-US). -
name: stringThe label provided when the consent recording was uploaded.
-
object: "audio.voice_consent"The object type, which is always
audio.voice_consent."audio.voice_consent"
-
-
has_more: boolean -
object: "list""list"
-
first_id: optional string -
last_id: optional string
Example
curl https://api.openai.com/v1/audio/voice_consents \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"data": [
{
"id": "cons_1234",
"created_at": 0,
"language": "language",
"name": "name",
"object": "audio.voice_consent"
}
],
"has_more": true,
"object": "list",
"first_id": "first_id",
"last_id": "last_id"
}
Example
curl https://api.openai.com/v1/audio/voice_consents?limit=20 \
-H "Authorization: Bearer $OPENAI_API_KEY"
Retrieve voice consent
get /audio/voice_consents/{consent_id}
Retrieves a voice consent recording.
Path Parameters
consent_id: string
Returns
-
id: stringThe consent recording identifier.
-
created_at: numberThe Unix timestamp (in seconds) for when the consent recording was created.
-
language: stringThe BCP 47 language tag for the consent phrase (for example,
en-US). -
name: stringThe label provided when the consent recording was uploaded.
-
object: "audio.voice_consent"The object type, which is always
audio.voice_consent."audio.voice_consent"
Example
curl https://api.openai.com/v1/audio/voice_consents/$CONSENT_ID \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"id": "cons_1234",
"created_at": 0,
"language": "language",
"name": "name",
"object": "audio.voice_consent"
}
Example
curl https://api.openai.com/v1/audio/voice_consents/cons_1234 \
-H "Authorization: Bearer $OPENAI_API_KEY"
Update voice consent
post /audio/voice_consents/{consent_id}
Updates a voice consent recording (metadata only).
Path Parameters
consent_id: string
Body Parameters
-
name: stringThe updated label for this consent recording.
Returns
-
id: stringThe consent recording identifier.
-
created_at: numberThe Unix timestamp (in seconds) for when the consent recording was created.
-
language: stringThe BCP 47 language tag for the consent phrase (for example,
en-US). -
name: stringThe label provided when the consent recording was uploaded.
-
object: "audio.voice_consent"The object type, which is always
audio.voice_consent."audio.voice_consent"
Example
curl https://api.openai.com/v1/audio/voice_consents/$CONSENT_ID \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-d '{
"name": "name"
}'
Response
{
"id": "cons_1234",
"created_at": 0,
"language": "language",
"name": "name",
"object": "audio.voice_consent"
}
Example
curl https://api.openai.com/v1/audio/voice_consents/cons_1234 \
-X POST \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "John Doe"
}'
Domain Types
Voice Consent Create Response
-
VoiceConsentCreateResponse object { id, created_at, language, 2 more }A consent recording used to authorize creation of a custom voice.
-
id: stringThe consent recording identifier.
-
created_at: numberThe Unix timestamp (in seconds) for when the consent recording was created.
-
language: stringThe BCP 47 language tag for the consent phrase (for example,
en-US). -
name: stringThe label provided when the consent recording was uploaded.
-
object: "audio.voice_consent"The object type, which is always
audio.voice_consent."audio.voice_consent"
-
Voice Consent Delete Response
-
VoiceConsentDeleteResponse object { id, deleted, object }-
id: stringThe consent recording identifier.
-
deleted: boolean -
object: "audio.voice_consent""audio.voice_consent"
-
Voice Consent List Response
-
VoiceConsentListResponse object { id, created_at, language, 2 more }A consent recording used to authorize creation of a custom voice.
-
id: stringThe consent recording identifier.
-
created_at: numberThe Unix timestamp (in seconds) for when the consent recording was created.
-
language: stringThe BCP 47 language tag for the consent phrase (for example,
en-US). -
name: stringThe label provided when the consent recording was uploaded.
-
object: "audio.voice_consent"The object type, which is always
audio.voice_consent."audio.voice_consent"
-
Voice Consent Retrieve Response
-
VoiceConsentRetrieveResponse object { id, created_at, language, 2 more }A consent recording used to authorize creation of a custom voice.
-
id: stringThe consent recording identifier.
-
created_at: numberThe Unix timestamp (in seconds) for when the consent recording was created.
-
language: stringThe BCP 47 language tag for the consent phrase (for example,
en-US). -
name: stringThe label provided when the consent recording was uploaded.
-
object: "audio.voice_consent"The object type, which is always
audio.voice_consent."audio.voice_consent"
-
Voice Consent Update Response
-
VoiceConsentUpdateResponse object { id, created_at, language, 2 more }A consent recording used to authorize creation of a custom voice.
-
id: stringThe consent recording identifier.
-
created_at: numberThe Unix timestamp (in seconds) for when the consent recording was created.
-
language: stringThe BCP 47 language tag for the consent phrase (for example,
en-US). -
name: stringThe label provided when the consent recording was uploaded.
-
object: "audio.voice_consent"The object type, which is always
audio.voice_consent."audio.voice_consent"
-